MDQUERY.1(1)

NAME
mdquery - Query Shibboleth metadata

SYNOPSIS
mdquery -e entity [-a app] [-nostrict]

mdquery -e entity -r role -p protocol [-a app]
    [-ns namespace] [-nostrict]

DESCRIPTION
mdquery queries and displays Shibboleth SP metadata. It is primarily a debugging tool to use in conjunction with advice from the Shibboleth mantaininers. It can display either the metadata for an entity or the metadata for a particular role.

OPTIONS

-a app
    Specifies the application ID for which to retrieve metadata. If not given the default is "default".

-e entity
    Specifies the entity ID for which to show metadata. Normally this is the entity descriptor ID for an entity with which one is having a problem (such as the entity ID for the local SP).

-nostrict
    Relax the strictness of checking (such as of expiration dates).

-ns namespace
    When retrieving metadata for a particular role, specify the namespace. If not given, the default is the SAML20MD namespace.

-p protocol
    Specify a protocol when retrieving metadata for a particular role. Normally one would use the -saml10, -saml11, or -saml2 options to specify the protocol name, but this option allows an arbitrary protocol to be specified.

-saml10
    Specify a protocol of SAML 1.0.

-saml11
    Specify a protocol of SAML 1.1.

-saml2
    Specify a protocol of SAML 2.0.

-r role
    Retrieve the metadata for a particular role. Normally one would use the -idp, -aa, -pdp, or -sp options to specify the role name, but this option allows an arbitrary role to be specified.

-idp
    Specify a role of IDPSSODescriptor.

-aa Specify a role of AttributeAuthorityDescriptor.

-pdp
    Specify a role of PDPDescriptor.

-sp Specify a role of SPSSODescriptor.

AUTHOR
This manual page was written by Russ Allbery for Debian GNU/Linux.

COPYRIGHT
Copyright 2008 Russ Allbery. This manual page is hereby placed into the public domain by its author.